► |  | The Racket Graphical Interface Toolkit

1 | Windowing
2 | Widget Gallery
3 | Windowing Classes
4 | Windowing Functions
5 | Editors
6 | Snip and Style Classes
7 | Editor Classes
8 | Editor Functions
9 | WXME Decoding
10 | Preferences
11 | Dynamic Loading
12 | Startup Actions
13 | Init Libraries
14 | Platform Dependencies
| Index

▼ | 7 | Editor Classes

7.1 | editor<%>
7.2 | editor-admin%
7.3 | editor-canvas%
7.4 | editor-data%
7.5 | editor-data-class%
7.6 | editor-data-class-list<%>
7.7 | editor-snip-editor-admin<%>
7.8 | editor-snip%
7.9 | editor-stream-in%
7.10 | editor-stream-in-base%
7.11 | editor-stream-in-bytes-base%
7.12 | editor-stream-out%
7.13 | editor-stream-out-base%
7.14 | editor-stream-out-bytes-base%
7.15 | editor-wordbreak-map%
7.16 | keymap%
7.17 | pasteboard%
7.18 | text%

On this page:

make-object

Inherited methods:
from editor-stream-in-base%
bad?
read
read-byte
read-bytes
seek
skip
tell

top ← prev up next →

> class

> editor-stream-in-bytes-base% : class?

superclass: editor-stream-in-base%

An editor-stream-in-bytes-base% object can be used to read editor data from a byte string.

> > constructor

> > (make-object editor-stream-in-bytes-base% s)

> → (is-a?/c editor-stream-in-bytes-base%)
> s : bytes?

Creates a stream base that reads from s.
top ← prev up next →